# Maintainer: tioguda <guda.flavio@gmail.com>

_pkgname=anbox
pkgbase=anbox-modules
kernel=4.9
_extramodules=extramodules-${kernel}-MANJARO
_linuxprefix=linux${kernel/./}
pkgname=${_linuxprefix}-${_pkgname}
pkgver=31_4.9.272_1
pkgrel=1
pkgdesc='Required kernel module sources for Android'
arch=('x86_64')
url="https://github.com/anbox/${pkgbase}"
license=('custom')
makedepends=("$_linuxprefix" "$_linuxprefix-headers" 'git')
provides=("${pkgbase}=${kernel}")
conflicts=("${pkgbase}-dkms" "${pkgbase}-dkms-git")
groups=("$_linuxprefix-extramodules")
install="${pkgbase}.install"
source=("git+https://github.com/anbox/anbox-modules.git")
sha512sums=('SKIP')

pkgver() {
    cd "${srcdir}/${pkgbase}"
    _ver=$(pacman -Q $_linuxprefix | cut -d " " -f 2)
    printf '%s' "$(git rev-list --count HEAD)_${_ver/-/_}"
}

build() {
    _kernver="$(cat /usr/lib/modules/${_extramodules}/version)"

    cd "${srcdir}/${pkgbase}/ashmem"
    sed -i "s:KERNEL_SRC ?=.*:KERNEL_SRC ?= \/lib\/modules\/${_kernver}\/build:g" Makefile
    make

    cd "${srcdir}/${pkgbase}/binder"
    sed -i "s:KERNEL_SRC ?=.*:KERNEL_SRC ?= \/lib\/modules\/${_kernver}\/build:g" Makefile
    make
}

package() {
    _ver=$(pacman -Q $_linuxprefix | cut -d " " -f 2)
    depends=("${_linuxprefix}=${_ver}" 'anbox-image')

    sed -i -e "s/EXTRAMODULES=.*/EXTRAMODULES=${_extramodules}/g" "${startdir}/${pkgbase}.install"

    cd "${srcdir}/${pkgbase}/ashmem"
    install -Dm755 "ashmem_linux.ko" "${pkgdir}/usr/lib/modules/${_extramodules}/ashmem_linux.ko"

    cd "${srcdir}/${pkgbase}/binder"
    install -Dm755 "binder_linux.ko" "${pkgdir}/usr/lib/modules/${_extramodules}/binder_linux.ko"

    find "${pkgdir}" -name '*.ko' -exec xz {} +
}

